=== debian/control ===
Source: ros-noetic-cob-linear-nav
Section: misc
Priority: optional
Maintainer: Felix Zeltner <fez@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-angles, ros-noetic-catkin, ros-noetic-cob-srvs, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-tf
Homepage: http://ros.org/wiki/cob_linear_nav
Standards-Version: 3.9.2

Package: ros-noetic-cob-linear-nav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-angles, ros-noetic-cob-srvs, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-tf
Description: cob_linear_nav provides a simple navigation instrument driving on a linear path from current position to goal without any planning or obstacle avoidance capabilites.
 Obstacle avoidance should be carried out in other package, e.g. cob_collision_velocity_filter.
